## grantlee-editor 17.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(grantlee-editor)
 
 cmake_minimum_required(VERSION 3.1)
-set(KF5_VERSION "5.28.0")
+set(KF5_VERSION "5.32.0")
 find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -22,7 +22,7 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
-
+include(ECMCoverageOption)
 # Do NOT add quote
 set(KDEPIM_DEV_VERSION )
 
@@ -32,41 +32,40 @@
 endif()
 
 
-set(KDEPIM_VERSION_NUMBER "5.4.3")
+set(KDEPIM_VERSION_NUMBER "5.5.3")
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
 
-set(MESSAGELIB_LIB_VERSION_LIB "5.4.3")
-set(AKONADI_MIMELIB_VERSION "5.4.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.4.3")
+set(MESSAGELIB_LIB_VERSION_LIB "5.5.3")
+set(AKONADI_MIMELIB_VERSION "5.5.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.5.3")
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(KDEPIM_APPS_LIB_VERSION_LIB "5.4.3")
-set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.4.3")
-set(LIBKLEO_LIB_VERSION_LIB "5.4.3")
+set(KDEPIM_APPS_LIB_VERSION_LIB "5.5.3")
+set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.5.3")
+set(LIBKLEO_LIB_VERSION_LIB "5.5.3")
 set(QT_REQUIRED_VERSION "5.6.0")
+set(KIMAP_LIB_VERSION "5.5.3")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
-set(PIMCOMMON_LIB_VERSION_LIB "5.4.3")
-set(LIBKDEPIM_LIB_VERSION_LIB "5.4.3")
+set(PIMCOMMON_LIB_VERSION_LIB "5.5.3")
 # Find KF5 package
 find_package(KF5Crash ${KF5_VERSION} REQUIRED)
 find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5DocTools ${KF5_VERSION} REQUIRED)
 find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5TextEditor ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5NewStuff ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Archive ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
+find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
 find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION_LIB} CONFIG REQUIRED)
+find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
 
 # Find KdepimLibs Package
 find_package(KF5KaddressbookGrantlee ${KDEPIM_APPS_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
 
 
 find_package(KF5SyntaxHighlighting ${KF5_VERSION} CONFIG REQUIRED)
@@ -90,3 +89,7 @@
 
 add_subdirectory(doc)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+ kdoctools_install(po)
+endif()
