## grantlee-editor 17.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(grantlee-editor)
 
 cmake_minimum_required(VERSION 3.1)
-set(KF5_VERSION "5.32.0")
+set(KF5_VERSION "5.35.0")
 find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -32,22 +32,22 @@
 endif()
 
 
-set(KDEPIM_VERSION_NUMBER "5.5.3")
+set(KDEPIM_VERSION_NUMBER "5.6.3")
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
 
-set(MESSAGELIB_LIB_VERSION_LIB "5.5.3")
-set(AKONADI_MIMELIB_VERSION "5.5.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.5.3")
+set(MESSAGELIB_LIB_VERSION_LIB "5.6.3")
+set(AKONADI_MIMELIB_VERSION "5.6.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.6.3")
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(KDEPIM_APPS_LIB_VERSION_LIB "5.5.3")
-set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.5.3")
-set(LIBKLEO_LIB_VERSION_LIB "5.5.3")
-set(QT_REQUIRED_VERSION "5.6.0")
-set(KIMAP_LIB_VERSION "5.5.3")
+set(KDEPIM_APPS_LIB_VERSION_LIB "5.6.3")
+set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.6.3")
+set(LIBKLEO_LIB_VERSION_LIB "5.6.3")
+set(QT_REQUIRED_VERSION "5.7.0")
+set(KIMAP_LIB_VERSION "5.6.3")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
-set(PIMCOMMON_LIB_VERSION_LIB "5.5.3")
+set(PIMCOMMON_LIB_VERSION_LIB "5.6.3")
 # Find KF5 package
 find_package(KF5Crash ${KF5_VERSION} REQUIRED)
 find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
@@ -75,8 +75,10 @@
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})
 
-add_definitions( -DQT_NO_CAST_FROM_ASCII )
-add_definitions( -DQT_NO_CAST_TO_ASCII )
+add_definitions(-DQT_NO_CAST_FROM_ASCII)
+add_definitions(-DQT_NO_CAST_TO_ASCII)
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
 
 configure_file(grantleeeditor-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)
