## grantlee-editor 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.1)
-set(KDEPIM_VERSION_NUMBER "5.7.2")
+set(KDEPIM_VERSION_NUMBER "5.7.3")
 project(grantlee-editor VERSION ${KDEPIM_VERSION_NUMBER})
 
 set(KF5_VERSION "5.39.0")
@@ -35,19 +35,19 @@
 
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
 
-set(MESSAGELIB_LIB_VERSION_LIB "5.7.2")
-set(AKONADI_MIMELIB_VERSION "5.7.2")
-set(KPIMTEXTEDIT_LIB_VERSION "5.7.2")
+set(MESSAGELIB_LIB_VERSION_LIB "5.7.3")
+set(AKONADI_MIMELIB_VERSION "5.7.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.7.3")
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(KDEPIM_APPS_LIB_VERSION_LIB "5.7.2")
-set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.7.2")
-set(LIBKLEO_LIB_VERSION_LIB "5.7.2")
+set(KDEPIM_APPS_LIB_VERSION_LIB "5.7.3")
+set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.7.3")
+set(LIBKLEO_LIB_VERSION_LIB "5.7.3")
 set(QT_REQUIRED_VERSION "5.8.0")
-set(KIMAP_LIB_VERSION "5.7.2")
+set(KIMAP_LIB_VERSION "5.7.3")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
-set(PIMCOMMON_LIB_VERSION_LIB "5.7.2")
+set(PIMCOMMON_LIB_VERSION_LIB "5.7.3")
 # Find KF5 package
 find_package(KF5Crash ${KF5_VERSION} REQUIRED)
 find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
